class pe_cert_auth::db {
  Database_user {
    require => Class['mysql::server'],
  }
  Database_grant {
    require => Class['mysql::server'],
  }

  class { 'mysql::server':
    config_hash => {
      'root_password' => "${::mysql_root_password}",
      'bind_address'  => '0.0.0.0',
    }
  }
  database_user { "root@${::active_console_name}":
    password_hash => mysql_password($::mysql_root_password),
    require       => Class['mysql::server'],
  }
  database_user { "root@${::active_console_address}":
    password_hash => mysql_password($::mysql_root_password),
    require       => Class['mysql::server'],
  }
  if $::active_console_altname {
    database_user { "root@${::active_console_altname}":
      password_hash => mysql_password($::mysql_root_password),
      require       => Class['mysql::server'],
    }
  }
  database_user { "root@${::passive_console_name}":
    password_hash => mysql_password($::mysql_root_password),
    require       => Class['mysql::server'],
  }
  database_user { "root@${::passive_console_address}":
    password_hash => mysql_password($::mysql_root_password),
    require       => Class['mysql::server'],
  }
  if $::passive_console_altname {
    database_user { "root@${::passive_console_altname}":
      password_hash => mysql_password($::mysql_root_password),
      require       => Class['mysql::server'],
    }
  }
  database_grant { "root@${::active_console_name}":
    privileges => 'all',
  }
  database_grant { "root@${::active_console_address}":
    privileges => 'all',
  }
  if $::active_console_altname {
    database_grant { "root@${::active_console_altname}":
      privileges => 'all',
    }
  }
  database_user { "console@${::passive_console_name}":
    password_hash => mysql_password("${::console_password}"),
    require       => Class['mysql::server'],
  }
  database_user { "console@${::passive_console_address}":
    password_hash => mysql_password("${::console_password}"),
    require       => Class['mysql::server'],
  }
  if $::passive_console_altname {
    database_user { "console@${::passive_console_altname}":
      password_hash => mysql_password("${::console_password}"),
      require       => Class['mysql::server'],
    }
  }
  database_grant { "console@${::passive_console_name}/console":
    privileges => 'all',
  }
  database_grant { "console@${::passive_console_address}/console":
    privileges => 'all',
  }
  if $::passive_console_altname {
    database_grant { "console@${::passive_console_altname}/console":
      privileges => 'all',
    }
  }
  database_grant { "console@${::passive_console_name}/console_inventory_service":
    privileges => 'all',
  }
  database_grant { "console@${::passive_console_address}/console_inventory_service":
    privileges => 'all',
  }
  if $::passive_console_altname {
    database_grant { "console@${::passive_console_altname}/console_inventory_service":
      privileges => 'all',
    }
  }
  database_user { "console_auth@${::passive_console_name}":
    password_hash => mysql_password("${::console_auth_password}"),
    require       => Class['mysql::server'],
  }
  database_user { "console_auth@${::passive_console_address}":
    password_hash => mysql_password("${::console_auth_password}"),
    require       => Class['mysql::server'],
  }
  if $::passive_console_altname {
    database_user { "console_auth@${::passive_console_altname}":
      password_hash => mysql_password("${::console_auth_password}"),
      require       => Class['mysql::server'],
    }
  }
  database_grant { "console_auth@${::passive_console_name}/console_auth":
    privileges => 'all',
  }
  database_grant { "console_auth@${::passive_console_address}/console_auth":
    privileges => 'all',
  }
  if $::passive_console_altname {
    database_grant { "console_auth@${::passive_console_altname}/console_auth":
      privileges => 'all',
    }
  }
}
