class pe_cert_auth::noca {
  class { 'pe_httpd::nonca':
    proxy_ca_server => $::puppet_service_address,
    proxy_ca_port   => '8141',
  }
  class { 'pe_httpd::nonconsole':
    inventory_server => $::puppet_service_address,
    inventory_port   => '8141',
  }
  file_line { '/etc/puppetlabs/puppet-dashboard/external_node':
    path  => '/etc/puppetlabs/puppet-dashboard/external_node',
    line  => "ENC_BASE_URL=\"https://${::puppet_service_address}:443/nodes\"",
    match => '^ENC_BASE_URL=.+$',
  }
  ## inifile module is required
  ini_setting { 'puppet.conf master reporturl':
    path    => '/etc/puppetlabs/puppet/puppet.conf',
    section => 'master',
    setting => 'reporturl',
    value   => "https://${::puppet_service_address}:443/reports/upload"
  }
}
